Skip to main content
GET
/
organizations
/
{orgId}
/
externalmappingconfiguration
Retrieve External Mapping Configuration
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration \
  --header 'Authorization: Bearer <token>'
{
  "m3terEntities": [
    "<string>"
  ],
  "externalSystems": [
    {
      "name": "<string>",
      "tables": [
        "<string>"
      ],
      "allowCustomExternalTables": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

Response

Returns External Mapping configuration

Response containing permitted External Mapping configuration.

m3terEntities
string[]
required

An array of m3ter entity names. For example, this could include "Account".

externalSystems
object[]
required

An array with the list of external systems.